> For the complete documentation index, see [llms.txt](https://docs.kangal.dev/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.kangal.dev/tr/sdklar/language-quickstarts.md).

# Dil bazlı hızlı başlangıç

Aşağıdaki örnekler resmi Kangal Admin API package coordinate'larını kullanır. Registry komutu, ilgili package sürümü yayınlandıktan sonra çalışır; yayınlanmadıysa imzalı GitHub release içindeki aynı sürüme ait source package'ı kurun. `KANGAL_ADMIN_URL` değerini Admin API URL olarak ayarlayın ve bearer token'ı secret store içinde tutun.

## TypeScript

```bash
npm install @kangal/sdk
```

```ts
import { KangalApiClient } from '@kangal/sdk';

const client = new KangalApiClient(process.env.KANGAL_ADMIN_URL!, {
  bearerToken: process.env.KANGAL_ADMIN_TOKEN,
});

const gateways = await client.listGatewaysAdminGatewaysGet();
```

## Python

```bash
python -m pip install kangal-api-sdk
```

```python
import os
from kangal_api_sdk import KangalApiClient

client = KangalApiClient(
    os.environ["KANGAL_ADMIN_URL"],
    bearer_token=os.environ["KANGAL_ADMIN_TOKEN"],
)
gateways = client.list_gateways_admin_gateways_get()
```

## Go

```bash
go get github.com/latifv/kangal-sdk-go@latest
```

```go
import kangalapi "github.com/latifv/kangal-sdk-go"

client := kangalapi.NewClient(os.Getenv("KANGAL_ADMIN_URL"))
client.BearerToken = os.Getenv("KANGAL_ADMIN_TOKEN")
gateways, err := client.ListGatewaysAdminGatewaysGet(context.Background(), kangalapi.RequestOptions{})
```

## Java

```xml
<dependency>
  <groupId>dev.kangal</groupId>
  <artifactId>kangal-sdk</artifactId>
  <version>1.0.0</version>
</dependency>
```

```java
var client = new KangalApiClient(System.getenv("KANGAL_ADMIN_URL"));
client.bearerToken = System.getenv("KANGAL_ADMIN_TOKEN");
var gateways = client.listGatewaysAdminGatewaysGet(new KangalApiClient.RequestOptions());
```

## C\#

```bash
dotnet add package Kangal.SDK
```

```csharp
using Kangal.Generated;

var client = new KangalApiClient(Environment.GetEnvironmentVariable("KANGAL_ADMIN_URL")!)
{
    BearerToken = Environment.GetEnvironmentVariable("KANGAL_ADMIN_TOKEN")
};
var gateways = await client.ListGatewaysAdminGatewaysGetAsync();
```

## PHP

```bash
composer require kangal/sdk
```

```php
use Kangal\Generated\KangalApiClient;

$client = new KangalApiClient(getenv('KANGAL_ADMIN_URL'));
$client->bearerToken = getenv('KANGAL_ADMIN_TOKEN') ?: null;
$gateways = $client->listGatewaysAdminGatewaysGet();
```

## API sürümüne özel package'lar

Developer Portal export'ları service ve version'a özel package ve module adları kullanır. İndirilen package'ı local olarak build edin veya kurun; ardından public gateway Proxy URL ile API'nin istediği API key ya da bearer token'ı yapılandırın. Package içindeki `README.md` kesin import adını, `REFERENCE.md` ise üretilmiş tüm metotları gösterir. Genel istek metodunu yalnızca çağrıya uyan üretilmiş operation yoksa kullanın.

Güncel metotların tamamı için [Admin API method referansına](/tr/sdklar/admin-api-methods.md), release kanalları için [SDK dağıtımına](/tr/sdklar/distribution.md) bakın.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.kangal.dev/tr/sdklar/language-quickstarts.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
